play.test

## Class FunctionalTest._ByteArrayOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - java.io.ByteArrayOutputStream
    - - play.test.FunctionalTest._ByteArrayOutputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable, java.lang.AutoCloseable

Enclosing class:
  FunctionalTest

    public static final class FunctionalTest._ByteArrayOutputStream
    extends java.io.ByteArrayOutputStream

### Field Summary

### Fields inherited from class java.io.ByteArrayOutputStream

`buf, count`

### Constructor Summary

Constructors
Constructor and Description
`_ByteArrayOutputStream(int size)`

### Method Summary

All Methods Instance Methods Concrete Methods
`byte[]` `getByteArray()`

### Methods inherited from class java.io.ByteArrayOutputStream

`close, reset, size, toByteArray, toString, toString, toString, write, write, writeTo`

### Methods inherited from class java.io.OutputStream

`flush, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### _ByteArrayOutputStream

    public _ByteArrayOutputStream(int size)

### Method Detail

#### getByteArray

    public byte[] getByteArray()